<?php
namespace Noalyss\Copy_Parameter\Install;


/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/* $Revision$ */

// Copyright (c) 2002 Author Dany De Bontridder dany@alchimerys.be

/**
 * @file
 * @brief install the  ... (SKEL plugin)
 *
 */
class Install_Plugin
{
    private $db; //!< $db (Database) connexion
    function __construct(\Database $cn)
    {
        $this->db = $cn;
    }

    function install()
    {
        $aScript=array();
        $aScript['schema']='create schema copy_parameter';
        $aScript['version']=<<<EOF
create table copy_parameter.version (id integer primary key,vt_date timestamp default now(), vt_note text);
EOF;
        $aScript['obj']=<<<EOF
create table copy_parameter.temp_object(id serial primary key ,t_json text);
EOF;
        $aScript['version1']="insert into copy_parameter.version(id,vt_note) values (1,'install')";
        try {
            $this->db->start();
            foreach ($aScript as $script) {
                $this->db->exec_sql($script);
            }
            $this->db->commit();
        } catch (\Exception $e) {
            $this->db->rollback();
            echo_warning("échec installation ");
            record_log($e);
            return;
        }

    }

}

?>
