<?php
namespace Noalyss\Copy_Parameter;

/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 22/10/23


/**
 * @file
 * @brief Export - Import Analytic Axis + accounting
 */
global $g_dir_copy_param;
require_once $g_dir_copy_param."/class/Analytic.php";
$file_name="import_anl";

$analytic=new Analytic();

//----------------------------------------------------------------------------
// Display the ANL config we want to import
//----------------------------------------------------------------------------
if ($sb == 'import_anl') {
         if ($_FILES['import_anl']['name']=="" || $_FILES['import_vat']["error"] != 0) {
         echo_warning("aucun fichier donné");
    }else{
        $ret = $analytic->display_content($file_name);
        if ( $ret>0 )  { return;}
        $analytic->display_warning($ret);
    }
}

?>



<div class="p-2" id="confg">
    <h1>Sauver - restaurer configuration Analytique</h1>
    <p class="text-muted">
        Ce menu vous permet de copier les axes et postes de la comptabilité
        analytique
    </p>
    <h2>Export</h2>
    <p>
        <?php
        $url = "extension.raw.php?" . http_build_query(array("gDossier" => \Dossier::id()
                , "ac" => $http->request("ac")
                , "plugin_code" => $http->request('plugin_code')
                , "op" => "export_parameter_anl"
                )
            );
        ?>
        Exportation Axes & postes analytique
    </p>
    <p>
        <a href="<?= $url ?>" class="button">Exporte</a>

    </p>
    <h2>Importe</h2>
    <p>
        Effacera et remplacera la configuration actuelle de la comptabilité analytique
    </p>
  
    <a href="javascript:void()" class="button" onclick="$('anl_import_file').show()">Importe</a>
</div>

</form>

<div class="inner_box2" style="position:fixed;top:35%;display:none" id="anl_import_file">
    <?= \HtmlInput::title_box("Importation", "anl_import_file", "hide") ?>
    <div class="p-1">
        <p class="text-muted">
            Remplacera ou mettra à jour les axes et postes analytiques
        </p>
        <form method="POST" enctype="multipart/form-data">
            <input type="file" name="<?=$file_name?>">
          

            <?php
            echo \HtmlInput::array_to_hidden(['gDossier', 'ac', 'plugin_code'], $_REQUEST);
            echo \HtmlInput::hidden('sb', 'import_anl');
            echo \HtmlInput::hidden('tab', 'anl_manage');
            ?>
            <ul class="aligned-block">
                <li>
                    <?= \HtmlInput::submit('Importe', "Importe") ?>
                </li>
                <li>
                    <?= \HtmlInput::button_hide("anl_import_file") ?>
                </li>
            </ul>
        </form>
    </div>
</div>

<?php



//----------------------------------------------------------------------------
// file is confirmed, load it into DB
//----------------------------------------------------------------------------
if ($sb == "confirm_anl") {
    $file_id=$http->post('file_id','number');
    try {
        $analytic->import($file_id);
    }catch (\Exception $e)
    {
        echo_warning("Echec importation ANL  ".$e->getMessage());
        record_log($e);
    }
}
?>