<?php

namespace Noalyss\Copy_Parameter;
global $g_dir_copy_param;
require_once $g_dir_copy_param."/class/Tva.php";
        
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/* $Revision$

// Copyright (c) 2002 Author Dany De Bontridder dany@alchimerys.be

/**
 *\file
 *\brief function to see and import file to configuration TVA
 *
 */

$http=new \HttpInput();



$vat=new VAT();

$sb = $http->request("sb", "string", "");
$file_name="import_vat";
//----------------------------------------------------------------------------
// Display the VAT config we want to import
//----------------------------------------------------------------------------
if ($sb == 'import_vat') {
      if ($_FILES['import_vat']['name']=="" || $_FILES['import_vat']["error"] != 0) {
         echo_warning("aucun fichier donné");
         
    }else{
        $ret = $vat->display_content($file_name);
        if ( $ret>0 )  { return;}
        $vat->display_warning($ret);
    }
}


?>



<div class="p-2" id="confg">
    <h1>Sauver - restaurer configuration TVA</h1>
    <p class="text-muted">
        Ce menu vous permet de copier le paramétrage de la TVA (c0tva) dans un autre dossier.
    </p>
    <h2>Export</h2>
    <p>
        <?php
        $url = "extension.raw.php?" . http_build_query(array("gDossier" => \Dossier::id()
                , "ac" => $http->request("ac")
                , "plugin_code" => $http->request('plugin_code')
                , "op" => "export_parameter_vat"
                )
            );
        ?>
        Exportation TVA & postes comptables
    </p>
    <p>
        <a href="<?= $url ?>" class="button">Exporte</a>

    </p>
    <h2>Importe</h2>
    <p>
        Effacera et remplacera la configuration actuelle de votre configuration TVA.
    </p>
    <p>
        Les postes comptables nécessaires seront rajoutés à votre Plan Comptable.
    </p>
    <a href="javascript:void()" class="button" onclick="$('tva_import_file').show()">Importe</a>
</div>

</form>

<div class="inner_box2" style="position:fixed;top:35%;display:none" id="tva_import_file">
    <?= \HtmlInput::title_box("Importation", "tva_import_file", "hide") ?>
    <div class="p-1">
        <p class="text-muted">
            Remplacera ou mettra à jour la configuration actuelle de TVA. Ajoutera les postes
            comptables nécessaires.
        </p>
        <form method="POST" enctype="multipart/form-data">
            <input type="file" name="<?=$file_name?>">
            <p>
                <label for="replace_ck">Effacer et remplacer la configuration actuelle de la TVA</label>
                <input type="checkbox" name="remove_unused_vat" class="input_text" value="1">

            </p>

            <?php
            echo \HtmlInput::array_to_hidden(['gDossier', 'ac', 'plugin_code'], $_REQUEST);
            echo \HtmlInput::hidden('sb', 'import_vat');
            echo \HtmlInput::hidden('tab', 'vat_manage');
            ?>
            <ul class="aligned-block">
                <li>
                    <?= \HtmlInput::submit('Importe', "Importe") ?>
                </li>
                <li>
                    <?= \HtmlInput::button_hide("tva_import_file") ?>
                </li>
            </ul>
        </form>
    </div>
</div>

<?php



//----------------------------------------------------------------------------
// file is confirmed, load it into DB
//----------------------------------------------------------------------------
if ($sb == "confirm_vat") {
    $file_id=$http->post('file_id','number');
    try {
        $vat->import($file_id);
    }catch (\Exception $e)
    {
        echo_warning("Echec importation TVA ".$e->getMessage());
        record_log($e);
    }
}
?>