<?php
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/* $Revision$ */

// Copyright (c) 2025 Author Dany De Bontridder dany@alchimerys.be
if ( ! defined ('ALLOWED') ) die('Appel direct ne sont pas permis');

/*!
 * \file
 * \brief export the pcmn
 */
/**
 * @var $http HttpInput , created in including file
 */


$cn=Dossier::connect();
$operation = $http->request('op');
//----------------------------------------------------------------------------
// Load Javascript
//----------------------------------------------------------------------------
if ( $operation == 'javascript') {
    require_once 'x';
}
//-------------------------------------------------------------------------------------------
// export configuration in JSON format
// for VAT
//-------------------------------------------------------------------------------------------
if ($operation=='export_parameter_vat')
{
    /// $cn \Database db connx
    $cn=\Dossier::connect();

    /// $date string date timestam for the file
    $date=date('ymd-Hi');

    /// $parameter array , contains all the data for the VAT : accounting and VAT
    $parameter=array();

    // version of the plugin
    $parameter['version']=1;

    // VAT rate , label , ...
    $parameter['tva_rate']=$cn->get_array("select tva_id, tva_label, tva_rate, tva_comment, tva_poste, tva_both_side, tva_payment_sale, tva_payment_purchase, tva_code,tva_reverse_account from tva_rate");

    $parameter['accounting']=$cn->get_array("
            select 
                pcm_val,
                pcm_lib,
                pcm_val_parent ,
                pcm_type,
                pcm_direct_use
            from public.tmp_pcmn where pcm_val in (
                    select split_part(tva_poste,',',1) from tva_rate
                union 
                select split_part(tva_poste,',',2) from tva_rate
            )");

    $out=fopen('php://output','w');

    header('Content-type: application/bin');
    header('Pragma: public');
    header('Content-Disposition: attachment;filename="export-tva'.$date.'.bin"', FALSE);
    fwrite($out,json_encode($parameter));
    return;
}

//----------------------------------------------------------------------------
// Export ANL Accounting
//----------------------------------------------------------------------------
if ($operation=='export_parameter_anl')
{ 
    /// $cn \Database db connx
    $cn=\Dossier::connect();

    /// $date string date timestam for the file
    $date=date('ymd-Hi');

    /// $parameter array , contains all the data for the VAT : accounting and VAT
    $parameter=array();

    // version of the plugin
    $parameter['version']=1;

    // export DATA
    $parameter['axis_anl']=$cn->get_array("select pa_id, pa_name,pa_description from plan_analytique pa ");

    $parameter['accounting_anl']=$cn->get_array("
            select po_id 
            , po_name 
            , pa_id 
            , po_amount 
            , po_description 
            , po_state 
            from poste_analytique pa 
            ");
    $parameter['group_anl']=$cn->get_array("
            select ga_id
                ,pa_id
                ,ga.ga_description  
                from groupe_analytique ga 
            ");
    $parameter['key_distribution']=$cn->get_array("select 
        kd_id,kd_name,kd_description
            from  key_distribution ");
    
    $parameter['key_distribution_activity']=$cn->get_array(" select 
        ka_id,ke_id,po_id,pa_id
        from key_distribution_activity" );
            
    // Because we don't know if the ledger from source are the same 
    // than in destination, only the basis is taken
    $parameter['key_distribution_ledger']=$cn->get_array("select 
         kl_id,kd_id,jrn_def_id
        from key_distribution_ledger 
        where jrn_def_id < 5 
        "
        );
    $parameter['key_distribution_detail']=$cn->get_array("select 
           ke_id,kd_id,ke_row,ke_percent
    from key_distribution_detail");
        
    $out=fopen('php://output','w');

    header('Content-type: application/bin');
    header('Pragma: public');
    header('Content-Disposition: attachment;filename="export-anl'.$date.'.bin"', FALSE);
    fwrite($out,json_encode($parameter));
    return;
}