<?php

/*
 *   This file is part of noalyss.
 *
 *   noalyss is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   noalyss is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Copyright Author Dany De Bontridder danydb@aevalys.eu 2002-2024

/*!
 *\file
 * \brief display the content of the file and ask to confirm to change, not possible to change values
 */

 /**
  *  @var $aParam array associative array with parameter (keys : version , tva_rate, accounting) see raw.php
  * @var $id integer id of SQL table vat_tool.temp_object
  * */

$aTva=array('tva_id'=>'ID','tva_code'=>_('Code'),'tva_label'=>_('Nom'),'tva_rate'=>_('Taux'),'tva_comment'=>_('Description'),
'tva_poste'=>_('Poste Comptable D/C'),'tva_reverse_account'=>_('Autoliquidation'));

$aAccounting=array( 'pcm_val' => _('Poste'),
          'pcm_lib' => _('Libellé'),
          'pcm_type' => _('Type')
);
?>
<form method="POST" id="form_import_vat">
    <?php
    echo \HtmlInput::array_to_hidden(['gDossier', 'ac', 'plugin_code','remove_unused_vat'], $_REQUEST);
    echo \HtmlInput::hidden("sb", "confirm_vat");
    echo \HtmlInput::hidden("file_id", $id);
    echo \HtmlInput::submit("submit",_("Valider"));
    echo \HtmlInput::hidden("tab","vat_manage");
    ?>
<?php
/**
 * @var $this : Tva
 * @var $aParam (array from JSON COPY_PARAMETER.TEMP_OBJECT.T_JSON)  
 */
$this->display_table(_("TVA"),$aTva,$aParam['tva_rate']);
$this->display_table(_("Postes Comptables"),$aAccounting,$aParam['accounting']);


// validate
echo \HtmlInput::submit("submit",_("Valider"));
?>
</form>
